## org.eclipse.emf.mapping.xsd2ecore
Class XSD2EcoreMapper

    java.lang.Object
      org.eclipse.emf.mapping.xsd2ecore.XSD2EcoreMapper

All Implemented Interfaces:
  MapBuilder.Mapper

    public class XSD2EcoreMapper

extends java.lang.Object
implements MapBuilder.Mapper

Field Summary
`protected MappingRoot` `mappingRoot`
`protected boolean` `topToBottom`

Constructor Summary
`XSD2EcoreMapper()`

Method Summary
`void` `addInput(EObject input)`
`void` `addOutput(EObject output)`
`MappingRoot` `getMappingRoot()`
`EObject` `getRoot()`
`void` `map(java.util.Collection<? extends EObject> inputs, java.util.Collection<? extends EObject> outputs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mappingRoot

    protected MappingRoot mappingRoot

### topToBottom

    protected boolean topToBottom

Constructor Detail

### XSD2EcoreMapper

    public XSD2EcoreMapper()

Method Detail

### getRoot

    public EObject getRoot()

  Specified by:
    `getRoot` in interface `MapBuilder.Mapper`

### getMappingRoot

    public MappingRoot getMappingRoot()

### map

    public void map(java.util.Collection<? extends EObject> inputs,
                    java.util.Collection<? extends EObject> outputs)

  Specified by:
    `map` in interface `MapBuilder.Mapper`

### addInput

    public void addInput(EObject input)

  Specified by:
    `addInput` in interface `MapBuilder.Mapper`

### addOutput

    public void addOutput(EObject output)

  Specified by:
    `addOutput` in interface `MapBuilder.Mapper`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.